#ifndef __IMAGE_TYPES_H__
#define __IMAGE_TYPES_H__
#include "image.h"
#include "stdint.h"

namespace s3d_merge {

typedef spectral::image<uint8_t>  Image8;
typedef spectral::image<uint16_t> Image16;
typedef spectral::image<uint32_t> Image32;
typedef spectral::image<float>    FloatImage;
typedef spectral::image<double>   DoubleImage;


}

#endif
